Redmine - Defect #5784

Mail subject is cutting on MS Exchange 2007, 2010 after 256 character. (RFC2047)
2010-06-30 10:28 - Alexander Britov

Status: Closed Start date: 2010-06-30
Priority: High Due date:

Assignee: Alexander Britov % Done: 0%
Category: Email notifications Estimated time: 0.00 hour

Target version:

Resolution: Invalid Affected version:

Description
Redmine - does not follow the RFC2047, as the line should not be longer than 75 character.

The following example shows how a large line should be:

Content-Type: text/plain; name=
"=?is0-2022-jp?B?GyRCJCIkJCQmMJCgkKiQrJCOKLyQxJDMKNSQ3JDkkOyQ9JD8bKEI="?=
=?is0-2022-jp?B?GyRCJEEKRCRGJEgkSIiRLJEWKTSROJE8KUIRVJFgkWyReJF8bKE|=?=
=?is0-2022-jp?B?GyRCJGAKY SRiJGQkZiRoJGkkaiRrJGwkbSRvJHIkcyMxIzIbKEI=?=
=?is0-2022-jp?B?GyRCIzMjNCM11zYjNyM4IzkjMBsoQi50eHQ="7="

The following RFC describe how the message header should be for Non-ASCII Text
MIME (Multipurpose Internet Mail Extensions) Part Three: Message Header Extensions for Non-ASCII Text
http://www.fags.org/rfcs/rfc2047.html

encoded-word = "=?" charset "?" encoding "?" encoded-text "?="
Example for Error.

Initial data:

- Sender's mail client - from Redmine.

ll==> Subject: contains 81 (!!!) character in Russian encoding.

This was only the letters without any characters, spaces, digits, etc.

- Recipient's mail client: OLK 2007 (12.0.6316.5000) SP1.

- Mailbox server: Exchange 2007 SP1

ll==> Field Subject shows CORRECTLY in Outlook 2007.

Subject:
=7k0i8-r?Q?=C6=CC=C4=C4=D0=C1=CF=CC=C4=C1=D7=D0=DB=DD=C5=CB=D6=C4=CD=D9=D7=CF=D0=DA=DD=D5=CB=C
4=D9=CC=D7=CF=D0=CC=C1=D0=CF=C4=CC=D7=C1=CF=C4=CC=D9=D7=CF=C1=DB=DD=D5=C1=CF=D7=D9=C4=C1=CC=
CF=CB=D5=C3=C4=DB=C1=C4=CC=D0=D2=CC=C1=CF=D0=D5=C3=C4=CB=CF=DB=C97=

Related issues:
Related to Redmine - Defect #18864: troubles in email notifications (Redmine... Closed

History

#1 - 2010-06-30 16:27 - Roland Discein

- Status changed from New to Resolved

e You can change this limitation up to 4096 symbols.
On exchange server you should do the following:

1.cd in bin directory of exchange installation path
2. open file EdgeTransport.exe.config with notepad

<configuration>
<runtime>
<gcServer enabled="true" />

</runtime>
http://www.faqs.org/rfcs/rfc2047.html

<appSettings>
<add key="AgentLogEnabled" value="true" />

<add key="ResolverRetryInterval" value="30" />

</configuration>
3. Add this lines between "<configuration>" and "<runtime>"(don't change the "version" field value):
<configSections>

<section name="CTS" type="Microsoft.Exchange.Data.Internal.CtsConfigurationSection, Microsoft.Exchange.Dat
a.Common, PublicKeyToken=31bf3856ad364e35, version=8.0.681.0, culture=neutral"/>

</configSections>
<CTS>
<MimeLimits>
<MaximumEncodedWordLength Value="4096"/>
</MimeLimits>
</CTS>
4. Restart Exchange Transport Service

BTW, this is not redmine's defect, this is feature of exchange. Be careful when submitting bugs.

The same in russian:

Redmine oTcbinaeT pasHbie yBeLOMNEHNS MO MOYTE.

3aronosok Subject B cnyyae Hanmuns He ASCII cumBonos(pycckux BykB) KoavpyeTcsi pu oTnpaske B utf-8.
MoyToBbIE KNNEHTBLI MOHMMAIOT 3TO U 0TOBPAXADT NO-PYCCKU.

Tema o6pesaeTcs 0o 255 CUMBONOB, NOYTOBbIV KNNEHT HE BUAWT "?=" B KOHLLE CTPOKU U He LEKOOMPYET ee.

e Y106bl yBENMYUTL OJIUHY 3aroNnoBkoB Ao 4096:

1. Mepengnte B katanor bin roe y sac yctaHosneH Exchange
2. OTkpoiite B 6nokHoTe EdgeTransport.exe.config

<configuration>

<runtime>

<gcServer enabled="true" />

</runtime>

<appSettings>

<add key="AgentLogEnabled" value="true" />

<add key="ResolverRetryInterval" value="30" />

</configuration>
3. [lobaBbTe 3TN CTPOUKM Mex ay <configuration> n <runtimes> (none "version" MeHATb He HAOO) :
<configSections>

<section name="CTS" type="Microsoft.Exchange.Data.Internal.CtsConfigurationSection, Microsoft.Exchange.Dat
a.Common, PublicKeyToken=31bf3856ad364e35, version=8.0.681.0, culture=neutral"/>

</configSections>

2025-05-23 2/3



<CTS>

<MimeLimits>

<MaximumEncodedWordLength Value="4096"/>
</MimeLimits>

</CTS>

1. nepe3anycTtute cnyx6y Exchange Transport Service.

W Boobue, aTo He 6ar redmine, a puya exchange.

#2 - 2010-07-01 15:21 - Felix Schafer
- Status changed from Resolved to Closed

- Resolution set to Invalid

Closing as being a "feature" of exchange, not a bug of redmine (in any case, redmine uses the mail handling libraries provided by ruby and/or rails, so
any error would have to be reported there rather than here).

Roland, thanks for what looks like a good explanation :-)

#3 - 2011-10-07 11:06 - Vitaliy Boyarenko
- Status changed from Closed to Reopened

- Assignee set to Alexander Britov

S cToNKHYNCS ¢ noxoxei npobnemoli, Npy co3aaHnum 3anayn ¢ Temoli 6onee 12 pycckux CUMBONOB Ha MOYTY NMPUXOAAT Takne Belwwm
(=?utf-8?Q?=5B=D0=A2=D0=95=D0=A1=D0=A2
=D0=A2=D0=95=D0=A1=D0=A2_=D0=A2=D0=95=D0=A1=D0=A2_=2D_=D0=9E=D1=88=D0=B8=D0=B1=D0=BA=D0=B0_=23=31=36=5D_=28=D
0=9D=D0=BE=D0=B2=D0=B0=D1=8F=29_=D0=B2=D0=B0_=D0=B2=D0=B0_=D0=B2=D0=B0_=D0=B2=D0=B0_=D0=B2=D0=B0_=D0=B2=D...)_
ecnu MeHblwe unu 12 1o Bce HopmanbHo ([TECT TECT TECT - Ouwwbka #17] (Hoeasi) Ba Ba Ba Ba )

HEMOHMMAI0 4TO HYXHO caenatb 4To 6bl BCe 6blN0 HOPMabHO

#4 - 2011-10-07 11:07 - Vitaliy Boyarenko

Vitaliy Boyarenko wrote:

9l cTONKHYNCs ¢ Noxoxei Npo6aemMoit, Npu co3aaHum 3agadn ¢ Temol 6onee 12 pycckux CUMBOJIOB HA MOYTY MPUXOAAT Takue Bewm
(=?utf-8?Q?=5B=D0=A2=D0=95=D0=A1=D0=A2
=D0=A2=D0=95=D0=A1=D0=A2_=D0=A2=D0=95=D0=A1=D0=A2_=2D_=D0=9E=D1=88=D0=B8=D0=B1=D0=BA=D0=B0_=23=31=36=5D_=2
8=D0=9D=D0=BE=D0=B2=D0=B0=D1=8F=29_=D0=B2=D0=B0_=D0=B2=D0=B0_=D0=B2=D0=B0_=D0=B2=D0=B0_=D0=B2=D0=B0_=D0=B
2=D...)_

ecnu MeHblue nnn 12 1o Bce HopManbHo ([TECT TECT TECT - Owmbka #17] (Hosas) Ba Ba Ba Ba )

HENoOHMMalo 4TO HY>XXHO caoenatb 4To 6bl BCE ObINO HOpMaibHO

MouToBbiii cepep Exchange 2007

#5 - 2011-10-07 11:32 - Etienne Massip

- Status changed from Reopened to Closed
Please speak English here.

#6 - 2015-01-16 11:32 - Toshi MARUYAMA

- Related to Defect #18864: troubles in email notifications (Redmine 2.5.2.stable, russian text) added
